--Create a Column MASK ON BALANCE column on the IBMCARD.CUSTOMER table
CREATE MASK IBMCARD.BALANCE_MASK ON IBMCARD.CUSTOMER FOR
------------------------------------------------------------
-- Accounting information:
-- Role ACCOUNTANT is allowed to access the full information
-- on column BALANCE.
-- Other roles accessing this column will strictly view a
-- zero value.
------------------------------------------------------------
COLUMN BALANCE RETURN
CASE WHEN VERIFY_ROLE_FOR_USER(SESSION_USER,'ACCOUNTANT') = 1
THEN BALANCE
ELSE 0.00
END
ENABLE;

