CREATE MASK IBMCARD.SSN_MASK ON IBMCARD.CUSTOMER FOR
----------------------------------------------------
-- Social Security Number contact information:
-- Roles MEMBERSHIP, and ACCOUNTANT are allowed
-- to access the full information on SSN column. Other roles accessing
-- these columns will strictly view a masked value.
-----------------------------------------------------
COLUMN SSN RETURN
CASE WHEN
VERIFY_ROLE_FOR_USER(SESSION_USER,'CUSTOMER') = 1 OR
VERIFY_ROLE_FOR_USER(SESSION_USER,'MEMBERSHIP') = 1 OR
VERIFY_ROLE_FOR_USER(SESSION_USER,'ACCOUNTANT') = 1
THEN SSN
ELSE CHAR('XXX-XX-' || SUBSTR(SSN,8,4))
END
ENABLE;
