CREATE MASK IBMCARD.CARD_NUMBER ON IBMCARD.CUSTOMER FOR
--------------------------------------------------------
-- Customer's credit card information:
-- Roles MEMBERSHIP, and ACCOUNTANT are allowed
-- to access the full information on PHONE column.
-- Role MARKETING is allowed to access customers' phone
-- information if the customer agreed to participate
-- IBMCARD's marketing programs.
----------------------------------------------------
COLUMN CARD_NUMBER RETURN
CASE WHEN
VERIFY_ROLE_FOR_USER(SESSION_USER,'ACCOUNTANT') = 1 OR
VERIFY_ROLE_FOR_USER(SESSION_USER,'MEMBERSHIP') = 1 
THEN CARD_NUMBER
ELSE CHAR('XXXX-XXXX-XXXX-' || SUBSTR(CARD_NUMBER,16,4))
END
ENABLE;
